=head1 NAME

perlcommunity - a brief overview of the Perl community

=head1 DESCRIPTION

This document aims to provide an overview of the vast perl community, which is
far too large and diverse to provide a detailed listing. If any specific niche
has been forgotten, it is not meant as an insult but an omission for the sake
of brevity.

The Perl community is as diverse as Perl, and there is a large amount of
evidence that the Perl users apply TMTOWTDI to all endeavors, not just
programming. From websites, to IRC, to mailing lists, there is more than one
way to get involved in the community.

=head2 Where to find the community

There is a central directory for the Perl community: L<http://perl.org>
maintained by the Perl Foundation (L<http://www.perlfoundation.org/>),
which tracks and provides services for a variety of other community sites.

=head2 Mailing lists and Newsgroups

Perl runs on e-mail, there is no doubt about it. The Camel book was originally
written mostly over e-mail and today Perl's development is co-ordinated through
mailing lists. The largest repository of Perl mailing lists is located at
L<http://lists.perl.org>.

Most Perl-related projects set up mailing lists for both users and
contributors. If you don't see a certain project listed at
L<http://lists.perl.org>, check the particular website for that project.
Most mailing lists are archived at L<http://nntp.perl.org/>.

There are also plenty of Perl related newsgroups located under
C<comp.lang.perl.*>.

=head2 IRC

The Perl community has a rather large IRC presence. For starters, it has its
own IRC network, L<irc://irc.perl.org>. General (not help-oriented) chat can be
found at L<irc://irc.perl.org/#perl>. Many other more specific chats are also
hosted on the network. Information about irc.perl.org is located on the
network's website: L<http://www.irc.perl.org>. For a more help oriented #perl,
check out L<irc://irc.freenode.net/#perl>. Perl 6 development also has a
presence in L<irc://irc.freenode.net/#perl6>. Most Perl-related channels will
be kind enough to point you in the right direction if you ask nicely.

Any large IRC network (Dalnet, EFnet) is also likely to have a #perl channel,
with varying activity levels.

=head2 Websites

Perl websites come in a variety of forms, but they fit into two large
categories: forums and news websites. There are many Perl related
websites, so only a few of the community's largest are mentioned here.

=head3 News sites

=over 4

=item L<http://perl.com/>

Run by O'Reilly Media (The publisher of L<the Camel Book|perlbook> among other
Perl-related literature), perl.com provides current Perl news, articles, and
resources for Perl developers as well as a directory of other useful websites.

=item L<http://use.perl.org/>

use Perl; provides a slashdot-style Perl news website covering all things Perl,
from minutes of the meetings of the Perl 6 Design team to conference
announcements with (ir)relevant discussion.

=back

=head3 Forums

=over 4

=item L<http://www.perlmonks.org/>

PerlMonks is one of the largest Perl forums, and describes itself as "A place
for individuals to polish, improve, and showcase their Perl skills." and "A
community which allows everyone to grow and learn from each other."

=back

=head2 User Groups

Many cities around the world have local PerlMongers chapters. A PerlMongers
chapter is a local user group which typically holds regular in-person meetings,
both social and technical; helps organize local conferences, workshops, and
hackathons; and provides a mailing list or other continual contact method for
its members to keep in touch.

To find your local PerlMongers (or PM as they're commonly abbreviated) group
check the international PerlMongers directory at L<http://www.pm.org/>.

=head2 Workshops

Perl workshops are, as the name might suggest, workshops where Perl is taught
in a variety of ways. At the workshops, subjects range from a beginner's
introduction (such as the Pittsburgh Perl Workshop's "Zero To Perl") to much
more advanced subjects.

There are several great resources for locating workshops: the
L<websites|"Websites"> mentioned above, the
L<calendar|"Calendar of Perl Events"> mentioned below, and the YAPC Europe
website, L<http://www.yapceurope.org/>, which is probably the best resource for
European Perl events.

=head2 Hackathons

Hackathons are a very different kind of gathering where Perl hackers gather to
do just that, hack nonstop for an extended (several day) period on a specific
project or projects. Information about hackathons can be located in the same
place as information about L<workshops|"Workshops"> as well as in
L<irc://irc.perl.org/#perl>.

If you have never been to a hackathon, here are a few basic things you need to
know before attending: have a working laptop and know how to use it; check out
the involved projects before hand; have the necessary version control client;
and bring backup equipment (an extra LAN cable, additional power strips, etc.)
because someone will forget.

=head2 Conventions

Perl has two major annual conventions: The Perl Conference (now part of OSCON),
put on by O'Reilly, and Yet Another Perl Conference or YAPC (pronounced
yap-see), which is localized into several regional YAPCs (North America,
Europe, Asia) in a stunning grassroots display by the Perl community. For more
information about either conference, check out their respective web pages:
OSCON L<http://conferences.oreillynet.com/>; YAPC L<http://www.yapc.org>.

A relatively new conference franchize with a large Perl portion is the
Open Source Developers Conference or OSDC. First held in Australia it has
recently also spread to Israel. More information can be found at:
L<http://www.osdc.com.au/> for Australia, and L<http://www.osdc.org.il>
for Israel.

=head2 Calendar of Perl Events

The Perl Foundation maintains a website and Google calendar for tracking
Workshops, Hackathons, Perl Mongers meetings, and the larger conventions
mentioned above. The web page is located at
L<http://www.perl.org/events.html>; the Google calendar is named
I<Perl Events>. Disclaimer: not every Perl Mongers group is on that calendar,
so don't lose heart if you don't see yours posted. Read the section above
on L<"User Groups"> to find yours.

=head1 AUTHOR

Edgar "Trizor" Bering <trizor@gmail.com>

=cut
